// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "InventoryStructs.generated.h"

/**
 * 
 */

USTRUCT(BlueprintType)
struct FInventoryLine
{
	GENERATED_BODY()

	UPROPERTY(BlueprintReadWrite)
	FVector2D Start;
	UPROPERTY(BlueprintReadWrite)
	FVector2D End;
};

USTRUCT(BlueprintType)
struct FInventoryTile
{
	GENERATED_BODY()

	UPROPERTY(BlueprintReadWrite)
	int X;
	UPROPERTY(BlueprintReadWrite)
	int Y;
};
